com.smartgwt.client.docs.serverds

## Class Operator

- java.lang.Object
- - com.smartgwt.client.docs.serverds.Operator

-     public class Operator
      extends java.lang.Object

  Specification of an operator for use in filtering, for example "equals".

  This class is not meant to be created and used, it is actually documentation of settings allowed in a DataSource descriptor (.ds.xml file), for use with Smart GWT Pro Edition and above. See `com.smartgwt.client.docs.serverds` for how to use this documentation.

  Use with `DataSource.addSearchOperator()` to define custom filtering behaviors for client-side filtering.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `FormItem` | `editorType` For an operator with valueType:"custom", indicates what kind of FormItem to use to provide a user interface for creating a valid `Criterion`.
    `FieldType[]` | `fieldTypes` List of types that this Operator is valid for.
    `boolean` | `hidden` Whether this operator should be offered to users by default in interfaces such as the `FilterBuilder`.
    `OperatorId` | `ID` Unique id for an operator, which appears within `AdvancedCriteria` as the Operator property.
    `boolean` | `requiresServer` Whether this operator needs to be executed on the server side.
    `java.lang.String` | `symbol` The text use when using this operator as an `expression` in a FormItem.
    `java.lang.String` | `title` User-visible title for this operator, such as "doesn't contain".
    `java.lang.String` | `titleProperty` Name of a property on the Operators class that provides the title for this operator.
    `OperatorValueType` | `valueType` Indicates the kind of value expected in a `Criterion` that uses this operator.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Operator()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fieldTypes

          public FieldType[] fieldTypes

      List of types that this Operator is valid for.

      If omitted, the operator is assumed to be valid for all FieldTypes unless a list of FieldTypes is passed to `DataSource.addSearchOperator()`.

      Default value is null

    - #### symbol

          public java.lang.String symbol

      The text use when using this operator as an `expression` in a FormItem.

      Default value is null

    - #### valueType

          public OperatorValueType valueType

      Indicates the kind of value expected in a `Criterion` that uses this operator. `OperatorValueType` lists possibilities.

      The default of `null` is equivalent to "fieldType", indicating that `Criterion.value` is expected to contain a value of the same type as the field indicated by `Criterion.fieldName`.

      Default value is null

    - #### titleProperty

          public java.lang.String titleProperty

      Name of a property on the Operators class that provides the title for this operator.

      Default value is null

    - #### editorType

          public FormItem editorType

      For an operator with valueType:"custom", indicates what kind of FormItem to use to provide a user interface for creating a valid `Criterion`. The default of `null` means an ordinary TextItem is fine.

      Default value is null

    - #### ID

          public OperatorId ID

      Unique id for an operator, which appears within `AdvancedCriteria` as the Operator property.

      A list of built-in identifiers is `here`.

      Default value is null

    - #### title

          public java.lang.String title

      User-visible title for this operator, such as "doesn't contain".

      To simplify internationalization by separating titles from operator code, you can use specify titleProperty instead of this property.

      Default value is null

    - #### hidden

          public boolean hidden

      Whether this operator should be offered to users by default in interfaces such as the `FilterBuilder`.

      Setting hidden:true means the operator can be used in a programmatic search, for example, by calling `ResultSet.setCriteria()`, but does not appear in the UI.

      Default value is false

    - #### requiresServer

          public boolean requiresServer

      Whether this operator needs to be executed on the server side.

      This implies that if a `Criterion` using this operator is either introduced into `criteria` or is changed, the server will need to be contacted to perform filtering.

      Default value is false

  - ### Constructor Detail

    - #### Operator

          public Operator()